Bug 182145 - compact flash with a pcmcia card adapter does not auto mount
compact flash with a pcmcia card adapter does not auto mount
Status: CLOSED DUPLICATE of bug 184471
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-20 14:31 EST by Brian Millett
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 02:35:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2006-02-20 14:31:23 EST
Description of problem:
I have a Kingston pcmcia card adapter with a compact flash card.  When inserted,
I get a dialog that states:

Cannot mount volume
You are not privileged to mount the volume 'MY STUFF'

But I can mount it as root with "mount /dev/hde1 /mnt"

lshal shows:

udi = '/org/freedesktop/Hal/devices/pcmcia__1__1'
  info.udi = '/org/freedesktop/Hal/devices/pcmcia__1__1'  (string)
  linux.subsystem = 'pcmcia'  (string)
  linux.hotplug_type = 1  (0x1)  (int)
  info.product = 'V5.00'  (string)
  info.vendor = 'KINGSTON TECHNOLOGY CF CARD'  (string)
  pcmcia.func_id = 4  (0x4)  (int)
  pcmcia.card_id = 0  (0x0)  (int)
  pcmcia.manf_id = 7  (0x7)  (int)
  pcmcia.prod_id2 = 'V5.00'  (string)
  pcmcia.prod_id1 = 'KINGSTON TECHNOLOGY CF CARD'  (string)
  pcmcia.socket_number = 1  (0x1)  (int)
  info.linux.driver = 'ide-cs'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1217_6933'  (string)
  info.bus = 'pcmcia'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:02:04.1/1.0'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:04.1/1.0' 
(string)

udi = '/org/freedesktop/Hal/devices/pcmcia__1__1_ide_2_0'
  info.udi = '/org/freedesktop/Hal/devices/pcmcia__1__1_ide_2_0'  (string)
  linux.subsystem = 'ide'  (string)
  linux.hotplug_type = 1  (0x1)  (int)
  info.product = 'IDE device (master)'  (string)
  ide.channel = 0  (0x0)  (int)
  ide.host = 2  (0x2)  (int)
  info.linux.driver = 'ide-disk'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pcmcia__1__1'  (string)
  info.bus = 'ide'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:02:04.1/1.0/ide2/2.0'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:02:04.1/1.0/ide2/2.0'  (string)

udi = '/org/freedesktop/Hal/devices/storage_model_Hitachi_ATA_Card'
  volume.ignore = true  (bool)
  block.storage_device =
'/org/freedesktop/Hal/devices/storage_model_Hitachi_ATA_Card'  (string)
  info.udi = '/org/freedesktop/Hal/devices/storage_model_Hitachi_ATA_Card'  (string)
  storage.requires_eject = false  (bool)
  storage.hotpluggable = false  (bool)
  info.capabilities = {'storage', 'block'} (string list)
  info.category = 'storage'  (string)
  info.product = 'Hitachi ATA Card'  (string)
  storage.removable = false  (bool)
  storage.physical_device = '/org/freedesktop/Hal/devices/pcmcia__1__1_ide_2_0'
 (string)
  storage.firmware_version = 'Rev_1.0'  (string)
  storage.vendor = ''  (string)
  storage.model = 'Hitachi ATA Card'  (string)
  storage.drive_type = 'disk'  (string)
  storage.automount_enabled_hint = true  (bool)
  storage.media_check_enabled = false  (bool)
  storage.no_partitions_hint = false  (bool)
  storage.bus = 'ide'  (string)
  block.is_volume = false  (bool)
  block.minor = 0  (0x0)  (int)
  block.major = 33  (0x21)  (int)
  block.device = '/dev/hde'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pcmcia__1__1_ide_2_0'  (string)
  linux.sysfs_path_device = '/sys/block/hde'  (string)
  linux.sysfs_path = '/sys/block/hde'  (string)

udi = '/org/freedesktop/Hal/devices/volume_uuid_15DA_2B0E'
  volume.unmount.valid_options = {'lazy'} (string list)
  volume.mount.valid_options = {'ro', 'sync', 'dirsync', 'noatime',
'nodiratime', 'noexec', 'quiet', 'utf8', 'shortname=', 'codepage=',
'iocharset=', 'umask=', 'uid='} (string list)
  org.freedesktop.Hal.Device.Volume.method_execpaths =
{'hal-system-storage-mount', 'hal-system-storage-unmount',
'hal-system-storage-eject'} (string list)
  org.freedesktop.Hal.Device.Volume.method_signatures = {'ssas', 'as', 'as'}
(string list)
  org.freedesktop.Hal.Device.Volume.method_names = {'Mount', 'Unmount', 'Eject'}
(string list)
  info.interfaces = {'org.freedesktop.Hal.Device.Volume'} (string list)
  volume.ignore = true  (bool)
  info.udi = '/org/freedesktop/Hal/devices/volume_uuid_15DA_2B0E'  (string)
  volume.partition.msdos_part_table_type = 6  (0x6)  (int)
  info.product = 'MY STUFF'  (string)
  volume.size = 64077824  (0x3d1c000)  (uint64)
  volume.num_blocks = 125152  (0x1e8e0)  (int)
  volume.block_size = 512  (0x200)  (int)
  volume.partition.number = 1  (0x1)  (int)
  info.capabilities = {'volume', 'block'} (string list)
  info.category = 'volume'  (string)
  volume.is_partition = true  (bool)
  volume.is_disc = false  (bool)
  volume.is_mounted = false  (bool)
  volume.mount_point = ''  (string)
  volume.label = 'MY STUFF'  (string)
  volume.uuid = '15DA-2B0E'  (string)
  volume.fsversion = 'FAT16'  (string)
  volume.fsusage = 'filesystem'  (string)
  volume.fstype = 'vfat'  (string)
  storage.model = ''  (string)
  block.storage_device =
'/org/freedesktop/Hal/devices/storage_model_Hitachi_ATA_Card'  (string)
  block.is_volume = true  (bool)
  block.minor = 1  (0x1)  (int)
  block.major = 33  (0x21)  (int)
  block.device = '/dev/hde1'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  info.parent = '/org/freedesktop/Hal/devices/storage_model_Hitachi_ATA_Card' 
(string)
  linux.sysfs_path_device = '/sys/block/hde/hde1'  (string)
  linux.sysfs_path = '/sys/block/hde/hde1'  (string)


Version-Release number of selected component (if applicable):
hal-0.5.7-0.cvs20060213.1

How reproducible:
every time

Steps to Reproduce:
1. insert card
2. read error message
3. mount by hand as root
  
Actual results:
error, not auto mounted

Expected results:
should mount.

Additional info:
Comment 1 Rahul Sundaram 2006-03-09 02:35:37 EST

*** This bug has been marked as a duplicate of 184471 ***

Note You need to log in before you can comment on or make changes to this bug.